## Script (Python) "getStudentInfo"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=
##
# $Id: getClearanceInfo.py 1144 2006-12-28 20:48:11Z henrik $
"""
return Info about the current Student
"""
import logging
logger = logging.getLogger('Student.Clearance.Info')
from DateTime import DateTime

request = context.REQUEST
mtool = context.portal_membership
wf = context.portal_workflow
member = mtool.getAuthenticatedMember()
member_id = str(member)
path_info = request.get('PATH_INFO').split('/')

if mtool.isAnonymousUser():
    return None
info = {}
#from Products.zdb import set_trace
#set_trace()
requested_id = context.getStudentId()
if requested_id and not context.isStaff() and member_id != requested_id:
    logger.info('"%s", "tried to access", "%s"' % (member_id,requested_id))
    return None
elif context.isStaff():
    student_id = requested_id
else:
    student_id = member_id


students_object = context.portal_url.getPortalObject().campus.students
student = getattr(students_object, student_id)
res = context.portal_catalog(portal_type='Student',id = student_id)
if len(res) == 0:
    return None
creation_date = DateTime(res[0].CreationDate)
info['penalty'] = creation_date.lessThan(DateTime('2006/12/5'))\
                  and DateTime().greaterThan(DateTime('2006/12/24'))
info['id'] = student_id
info['student'] = student
info['review_state'] = wf.getInfoFor(student,'review_state',None)
info['app'] = student.application
info['app_doc'] = student.application.getContent()
info['clear'] = student.clearance
info['clear_doc'] = student.clearance.getContent()
info['clear_review_state'] = wf.getInfoFor(student.clearance,'review_state',None)
return info
